org.apache.tinkerpop.gremlin.server.handler

## Class SaslAuthenticationHandler

- java.lang.Object
- - ChannelInboundHandlerAdapter
  - - org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler
    - - org.apache.tinkerpop.gremlin.server.handler.SaslAuthenticationHandler

- Direct Known Subclasses:
    SaslAndHttpBasicAuthenticationHandler

      public class SaslAuthenticationHandler
      extends AbstractAuthenticationHandler

  A SASL authentication handler that allows the `Authenticator` to be plugged into it. This handler is meant to be used with protocols that process a `RequestMessage` such as the `WebSocketChannelizer` or the `NioChannelizer`
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Settings.AuthenticationSettings` | `authenticationSettings`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler

      `authenticator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslAuthenticationHandler(Authenticator authenticator, Settings.AuthenticationSettings authenticationSettings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(ChannelHandlerContext ctx, Object msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authenticationSettings

          protected final Settings.AuthenticationSettings authenticationSettings

  - ### Constructor Detail

    - #### SaslAuthenticationHandler

          public SaslAuthenticationHandler(Authenticator authenticator,
                                           Settings.AuthenticationSettings authenticationSettings)

  - ### Method Detail

    - #### channelRead

          public void channelRead(ChannelHandlerContext ctx,
                                  Object msg)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.